Bug 33517 - требуется указывать VDPAU_DRIVER=va_gl
: требуется указывать VDPAU_DRIVER=va_gl
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xorg-server)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2017-05-31 22:28 by
Modified: 2017-06-01 17:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-05-31 22:28:42
Как-то надо сделать что бы по умолчанию работало, без переменных окружения.
на Intel:
$ vdpinfo 
display: :0   screen: 0
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file:
No such file or directory
Error creating VDPAU device: 1
$ VDPAU_DRIVER=va_gl vdpinfo 
display: :0   screen: 0
[VS] Software VDPAU backend library initialized
[VS] {full} vdp_imp_device_create_x11 display=0x617c20, screen=0
libva info: VA-API version 0.39.4
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_39
libva info: va_openDriver() returns 0
[VS] libva (version 0.39) library initialized
[VS] {full} VdpGetApiVersion
[VS] {full} VdpGetInformationString
API version: 1
Information string: OpenGL/VAAPI/libswscale backend for VDPAU
------- Comment #1 From 2017-06-01 10:24:15 -------
http://pkgs.fedoraproject.org/cgit/rpms/xorg-x11-server.git/tree/
0001-xf86-dri2-Use-va_gl-as-vdpau_driver-for-Intel-i965-G.patch
------- Comment #2 From 2017-06-01 17:24:31 -------
xorg-server-2:1.19.3-alt3 -> sisyphus:

Thu Jun 01 2017 Valery Inozemtsev <shrek@altlinux.ru> 2:1.19.3-alt3
- use va_gl as vdpau_driver for Intel i965 GPUS (closes: #33517)